my:
  mail:
    username: poch74.t@yandex.ru
    password: jjojdhswdufagrmb
server:
  port: 8081
spring:
  cloud:
    function:
      definition: accountEventEmailMessage;cardEventEmailMessage;userEventEmailMessage
    stream:
      kafka:
        binder:
          brokers: localhost:9092
        bindings:
          accountEventEmailMessage-in-0:
            consumer:
              configuration:
                value.serializer: org.springframework.kafka.support.serializer.JsonDeserializer
          cardEventEmailMessage-in-0:
            consumer:
              configuration:
                value.serializer: org.springframework.kafka.support.serializer.JsonDeserializer
          userEventEmailMessage-in-0:
            consumer:
              configuration:
                value.serializer: org.springframework.kafka.support.serializer.JsonDeserializer
      bindings:
        accountEventEmailMessage-in-0:
          destination: account-event-email-message-topic
        cardEventEmailMessage-in-0:
          destination: card-event-email-message-topic
        userEventEmailMessage-in-0:
          destination: user-event-email-message-topic
  mail:
    host: smtp.yandex.ru
    port: 465
    protocol: smtps
    username: ${my.mail.username}
    password: ${my.mail.password}
    properties:
      mail:
        ssl:
          enable: true
        smtp:
          auth: true
          starttls:
            enable: true
